From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 8 May 2011<P>

Just wanted to say "Happy Mom's Day," to all the mothers here.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 8 May 2011<P>

Blender of Love Digest for May is here!<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 8 May 2011<P>

Oh Kirk... how wonderful that you and Amber are going to Paris....I can't wait to hear about your adventure. (take lots of snaps)<BR>
<BR>
Thanks for the pick for the May issue. <BR>
<BR>
Congratulations to all the front pagers. Keep up the great words.<BR>
<BR>
bk 
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 8 May 2011<P>

thanks for the front page kirk and the nice little story below it,and congrats to all who made it.<BR>
<BR>
B.k, star of david,twisted lie, and wolfscreamer, thank you for the comments, I'm trying new things with poetry just trying to get back in a groove with the pen I guess lol<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>